/*
*	(c) Copyright Dyrk.org 2025 - 2026
*	 m.gosparini [] dyrk.org
*	 Alternative to AdBlocker after The Birth of ManifestV3 ...
*
*/
let options = { enableTurtlesBlocker : true };

refreshStateBlocker = () => {
	chrome.storage.sync.get().then((items) => {
	  nOptions = items?.options;
	  options = nOptions ? nOptions : options
	});
};

enableTurtle = function(id) {
		refreshStateBlocker();
		if (!options.enableTurtlesBlocker) return ;
		chrome.scripting.executeScript({
				injectImmediately: true,
				target: { tabId: id, allFrames: true },
				files:["./bg/index.js"],
				world:"MAIN"
		});
};
chrome.tabs.onUpdated.addListener(enableTurtle);
chrome.tabs.onCreated.addListener(enableTurtle);